Subject: Regd. GNU installation
From: David Starks-Browning <[email-masked]>
To: "Tejeswar" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 12 Sep 2001 13:27:10 +0100

On Wednesday 12 Sep 01, Tejeswara Kotthakota writes:
> Hi, 
> 
> I installed Cygwin on my Windows NT machine. I see that Cygwin comes with GCC 2.95.x.
> I wrote a small C++ program to test it.
> When I try,
> 
> $gcc filename.cc 
> 
> it was giving following error,
> 
> /usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/../../../../i686-pc-cygwin/bin/ld: cannot find -luser32
> Collect2: ld returned 1 exit status

You must use g++ to compile C++ programs, not gcc.

Hope this helps.

Regards,
David
(Cygwin FAQ maintainer)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/